﻿@{
    ViewBag.Title = "Discharge";
    Layout = "~/Views/Shared/_Layout.cshtml";
}


<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Jinnah Hospital
            <small>Discharge Information</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="/AdminHome/Index"><i class="fa fa-dashboard"></i> Home</a></li>
            <li class="active">Dashboard</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">

        <div class="box box-info">
            <div class="box-header with-border">
                <i class="fa fa-pagelines"></i>
                <h3 class="box-title">Fill Data carefully</h3>

            </div>
            <form class="form-horizontal">
                <div class="box-body">
                   
                    <div class="form-group">
                        <label for="inputDischargeDate" class="col-sm-2 control-label">Date of Discharge</label>

                        <div class="col-sm-10">
                            <div class="input-group date">
                                <div class="input-group-addon">
                                    <i class="fa fa-calendar"></i>
                                </div>
                                <input type="text" class="form-control pull-right" id="inputDischargeDate">
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="inputTreatAdvice" class="col-sm-2 control-label">Give Treatment Advice</label>

                        <div class="col-sm-10">
                            <input type="text" class="form-control" id="inputTreatAdvice" placeholder="Enter ...">
                        </div>
                    </div>
                    
                    @*<div class="form-group">
                        <label for="inputPatientNo" class="col-sm-2 control-label">Patient No</label>
                        <div class="col-sm-5">
                            <select class="form-control" id="inputPatientNo">
                                <option>1</option>
                                <option>2</option>
                                <option>3</option>
                                <option>4</option>
                                <option>5</option>

                            </select>
                        </div>
                    </div>*@

                    <div class="form-group">
                        <label for="InputBalCharges" class="col-sm-2 control-label">Select Balance Charges</label>
                        <div class="col-sm-5">
                            <select class="form-control" id="InputBalCharges">
                                <option>100</option>
                                <option>200</option>
                                <option>300</option>
                                <option>400</option>
                                <option>500</option>

                            </select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="InputTestCharges" class="col-sm-2 control-label">Select Test Charges</label>
                        <div class="col-sm-5">
                            <select class="form-control" id="InputTestCharges">
                                <option>100</option>
                                <option>200</option>
                                <option>300</option>
                                <option>400</option>
                                <option>500</option>

                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="InputBloodCharges" class="col-sm-2 control-label">Select Blood Charges</label>
                        <div class="col-sm-5">
                            <select class="form-control" id="InputBloodCharges">
                                <option>100</option>
                                <option>200</option>
                                <option>300</option>
                                <option>400</option>
                                <option>500</option>

                            </select>
                        </div>
                    </div>

                  
                    <div class="form-group">
                        <label for="InputPayment" class="col-sm-2 control-label">Select Payment</label>
                        <div class="col-sm-5">
                            <select class="form-control" id="InputPayment" 
                                <option>100</option>
                                <option>200</option>
                                <option>300</option>
                                <option>400</option>
                                <option>500</option>

                            </select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="InputOperationCharges" class="col-sm-2 control-label">Select Operation Charges</label>
                        <div class="col-sm-5">
                            <select class="form-control" id="InputOperationCharges">
                                <option>1000</option>
                                <option>2000</option>
                                <option>3000</option>
                                <option>4000</option>
                                <option>5000</option>

                            </select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="InputDocCharges" class="col-sm-2 control-label">Select Document Charges</label>
                        <div class="col-sm-5">
                            <select class="form-control" id="InputDocCharges">
                                <option>1000</option>
                                <option>2000</option>
                                <option>3000</option>
                                <option>4000</option>
                                <option>5000</option>

                            </select>
                        </div>
                    </div>
                  
                    <div class="form-group">
                        <label for="InputIndoorPID" class="col-sm-2 control-label">Indoor Patient ID</label>
                        <div class="col-sm-5">
                            <select class="form-control" id="InputIndoorPID">
                                <option></option>
                            </select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="InputOutdoorPID" class="col-sm-2 control-label">Outdoor Patient ID</label>
                        <div class="col-sm-5">
                            <select class="form-control" id="InputOutdoorPID">
                                <option></option>

                            </select>
                        </div>
                    </div>

                       <div class="box-footer">
                        <button style="margin-left: 30px" type="button" class="col-sm-1 btn btn-info pull-right" onclick="AddDischargeData()">Save</button>

                        <button type="submit" class="col-sm-1 btn btn-default pull-right">Cancel</button>
                    </div>
                </div>

            </form>

        </div>

    </section>
</div>
<script src="~/Content/ThemeMedical/js/jquery-2.2.3.min.js"></script>


<script>
    function AddDischargeData() {
        
        var DischargeDate = $('#inputDischargeDate').val();
        var TreatAdvice = $('#inputTreatAdvice').val();
        var BalCharges = $('#InputBalCharges :selected').val();
        var TestCharges = $('#InputTestCharges :selected').val(); 
        var BloodCharges = $('#InputBloodCharges :selected').val();
        var Payment = $('#InputPayment :selected').val();
        var OperationCharges = $('#InputOperationCharges :selected').val();
        var DocCharges = $('#InputDocCharges :selected').val();
        var IndoorPID = $('#InputIndoorPID :selected').attr('id');
        var OutdoorPID = $('#InputOutdoorPID :selected').attr('id');
        debugger;
        var check1 = false;
        if (typeof IndoorPID === "undefined") {
            IndoorPID = 0;
        }

        if (typeof OutdoorPID === "undefined") {
            OutdoorPID = 0;
        }

        if (IndoorPID == 0 && OutdoorPID == 0) {
            alert('Select one Patient please');
        }

        if (IndoorPID != 0 && OutdoorPID == 0 || IndoorPID == 0 && OutdoorPID != 0) {
            check1 = true;
        }


        if(check1 == true)
        {

        $.ajax({
            url: '@Url.Action("AddDischarge", "AHMS")',
            type: "POST",
            dataType: "json",
            data: JSON.stringify({ DischargeDate: DischargeDate, TreatAdvice: TreatAdvice,  BalCharges: BalCharges, TestCharges: TestCharges, BloodCharges: BloodCharges, Payment: Payment, OperationCharges: OperationCharges, DocCharges: DocCharges, IndoorPID: IndoorPID, OutdoorPID: OutdoorPID }),
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;

                    swal(data.message, "", "success");
                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });
        }
    }
</script>

<script>
    $( document ).ready(function() {
        $("#inputDischargeDate").datepicker();
});
</script>


<!--pop up the dropdowns-->
<script>
    $(document).ready(function () {
       // alert("asd");
        $.ajax({
            url: '@Url.Action("DischargeDataPatient", "AHMS")',
            type: "POST",
            dataType: "json",
            traditional: "true",
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;
                    var InPatient = data.InPat;
                    var OutPatient = data.OutPat;
                  
                    for (i = 0; i < InPatient.length; i++) {
                        $('#InputIndoorPID').append('<option id=' + InPatient[i].pid + ' value=' + InPatient[i].pname + ' >' + InPatient[i].pname + '  </option>');
                    }

                    for (i = 0; i < OutPatient.length; i++) {
                        $('#InputOutdoorPID').append('<option id=' + OutPatient[i].putpid + ' value=' + OutPatient[i].pname + ' >' + OutPatient[i].pname + '  </option>');

                    }

                   

                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    });
</script>

